libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::ipa::ipu3::IPASessionConfiguration Struct Reference

Session configuration for the IPA module. More...

## Classes
struct | [struct].grid
struct | [struct].af
struct | [struct].agc
struct | [struct].sensor

## Public Attributes
struct | grid
| Grid configuration of the IPA.
struct | af
| AF grid configuration of the IPA.
struct | agc
| AGC parameters configuration of the IPA.
struct | sensor
| Sensor-specific configuration of the IPA.

## Detailed Description

Session configuration for the IPA module.

The session configuration contains all IPA configuration parameters that remain constant during the capture session, from IPA module start to stop. It is typically set during the configure() operation of the IPA module, but may also be updated in the start() operation.

The documentation for this struct was generated from the following files:

- src/ipa/ipu3/ipa_context.h
- src/ipa/ipu3/ipa_context.cpp